<script LANGUAGE="JavaScript1.2" type="text/javascript"
                src="[% Catalyst.uri_for('/prototype.compressed.js') %]"></script>

<script type="text/javascript">
<!--

function changeStatus (tid) {
  var v = $('status').value;
  var td = $('term'+tid).parentNode;
  new Ajax.Updater(
    { 'success' :  td },
    "[%- Catalyst.uri_for('changeStatus/') %]"+tid+"/"+v,
    {
      onFailure: function (transport) {
        alert("Sorry ! couldn't change status "+transport.responseText);
      }
    }
  );
}

function handle_dblclick (event) {
   var toggle = Event.findElement(event,'div');
   if ( toggle != document && toggle.getAttribute('toggle') != null) {
      $(toggle.getAttribute('toggle')).toggle();      
   }
}

Event.observe(document, 'dblclick', handle_dblclick);

//-->
</script>

<div class="scroll" id="scroll">
  <table>
[% #display entry list %]
[% FOREACH entry IN entries %]
<tr>
  <td  class="
     [%- IF entry.tid == term.tid %]current[%- END %]
     [%- IF entry.comment %]withcomment[%- END %]
     status[%- entry.status %]
     "
       id="term[%- entry.tid %]"
     >
    <a href="[%- Catalyst.uri_for('/list',{ rank => entry.tid }) %]">
      [% entry.tid %]
      [% entry.variant.first.term %]
    </a>
  </td>
</tr>
[% END %]
  </table>
</div>

<div id="xbody">
  [% widget_result.as_xml %]
  <!--
  <a href="javascript:mailhis()">Mail this page</a>
  <table valign="top">
    [%- PROCESS "comments/comment.tt2" %]
  </table>
  <hr/>
  -->
  <h2>Term [[% term.tid %]] <span class="key" id="key">[% term.variant.first.term %]</span></h2>
  <p>Status:
    <select name="status" 
	    id="status" 
	    onchange="changeStatus([% term.tid %])"
	    class="select">
      <option value="0" [% 'selected' IF term.status == 0 %]>submitted</option>
      <option value="1" [% 'selected' IF term.status == 1 %]>accepted</option>
      <option value="2" [% 'selected' IF term.status == 2 %]>rejected</option>
    </select>
  </p>
  <p>Model: 
    [% FOREACH chunk IN chunks %]
    <span class="chunk_content">[[% chunk.content %]]</span><sub class="chunk_type">[% chunk.type %]</sub> 
    [% END %]
  </p>
  <h2>Variants</h2>
  <ul>
  [% FOREACH v IN term.variant %]
  <li>
    <span class="variant">[% v.term %]</span> (freq=[% v.freq %])
  </li>
  [% END %]
  </ul>
  [% IF hyponyms %]
  <h2>Potential hyponyms</h2>
  <ul>
    [% FOREACH h IN hyponyms %]
    [% r = h.xhypo %]
    <li> <a href="[%- Catalyst.uri_for('/list',{ rank => r.tid }) %]"><span class="status[%- r.status %]">[% r.variant.first.term %]</a> (freq=[%- r.freq %])</span></li>
    [% END %]
  </ul>
  [% END %]
  [% IF related %]
  <h2>Potentially related terms trough hyperonym '[% hyperonym %]'</h2>
  <ul>
    [% FOREACH r IN related %]
    <li> <a href="[%- Catalyst.uri_for('/list',{ rank => r.tid }) %]"><span class="status[%- r.status %]">[% r.variant.first.term || r.tid %]</a> (freq=[%- r.freq %])</span></li>
    [% END %]
  </ul>
  [% END %]
  <div toggle="stats"
       class="cursor" title="double-click tp show/hide stats">
    <h2>      
      <img alt="right" src="[% Catalyst.uri_for('/d.png') %]"/> 
      Statistical info on <span class="key" id="key">[% term.variant.first.term %]</span>
    </h2>
    <table class="stats" width="80%" border="1" id="stats" style='display:none;'>
      <tr>
	<th>rank</th>
	<th>sqrt(freq) * MI </th>
	<th>MI</th>
	<th>frequency</th>
	<th>in PP</th>
	<th>with PP</th>
      </tr>
      <tr>
	<td align="center">[% term.tid %]</td>
	<td align="center">[% term.w1 %]</td>
	<td align="center">[% term.w2 %]</td>
	<td align="center">[% term.freq %]</td>
	<td align="center">[% term.standalone1 %]</td>
	<td align="center">[% term.standalone2 %]</td>
      </tr>
    </table>
  </div>
  <hr/>
  <h2>Sample sentences</h2>
  <ul>
      [% FOREACH s IN sentences %]
      <li> 
      <span class="sref">[[% s.label %]]</span>
        [% s.text %]
      </li>
      [% END %]
  </ul>
</div>
